Debian Bug report logs - #510659
yum: /etc/dbus-1/system.d file needs alterations for fd.o #18961

version graph

Package: yum; Maintainer for yum is Thomas Goirand <zigo@debian.org>; Source for yum is src:yum.

Reported by: Simon McVittie <smcv@debian.org>

Date: Sun, 4 Jan 2009 02:45:02 UTC

Severity: normal

Tags: unreproducible, wontfix

Found in version yum/3.2.12-1.2

Done: Thomas Goirand <thomas@goirand.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anand Kumria <wildfire@progsoc.org>:
Bug#510659; Package yum. (Sun, 04 Jan 2009 02:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
New Bug report received and forwarded. Copy sent to Anand Kumria <wildfire@progsoc.org>. (Sun, 04 Jan 2009 02:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: yum: /etc/dbus-1/system.d file needs alterations for fd.o #18961
Date: Sun, 4 Jan 2009 02:40:29 +0000
[Message part 1 (text/plain, inline)]
Package: yum
Version: 3.2.12-1.2
Severity: normal
User: pkg-utopia-maintainers@lists.alioth.debian.org
Usertags: fdo-18961

yum's D-Bus system.d config should be updated to fix
non-deterministic allow/deny for messages with no interface; the D-Bus
upstream recommendation seems to be that every allow or deny rule with
send_interface="..." should have a suitable send_destination attribute too.

In this case, this would make them redundant with the lines matching
send_destination="...", so they can just be removed (see the patch for
dnsmasq on the bug linked below).

http://bugs.freedesktop.org/show_bug.cgi?id=18961 is the D-Bus bug tracking
this; there have also been discussions on the D-Bus mailing list.

Also, are users at the console really meant to be allowed to masquerade
as the yum updates daemon? (<allow own="edu.duke.linux.yum"/>)

Regards from the Cambridge BSP,
    Simon
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GPLHost yum packaging team <yumpackage@gplhost.com>:
Bug#510659; Package yum. (Mon, 06 Apr 2009 01:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <thomas@goirand.fr>:
Extra info received and forwarded to list. Copy sent to GPLHost yum packaging team <yumpackage@gplhost.com>. (Mon, 06 Apr 2009 01:18:02 GMT) Full text and rfc822 format available.

Message #10 received at 510659@bugs.debian.org (full text, mbox):

From: Thomas Goirand <thomas@goirand.fr>
To: 510659@bugs.debian.org, Simon McVittie <smcv@debian.org>
Subject: Waiting for Avahi to fix
Date: Mon, 06 Apr 2009 09:15:17 +0800
Hi,

This is, according to the URL you sent, also something to be fixed in
Avahi. So we might need to wait until this is fixed.

Let me know what you think. I'd be happy to apply any patch you would
send to fix this one.

Thomas




Information forwarded to debian-bugs-dist@lists.debian.org, GPLHost yum packaging team <yumpackage@gplhost.com>:
Bug#510659; Package yum. (Sun, 14 Jun 2009 04:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <thomas@goirand.fr>:
Extra info received and forwarded to list. Copy sent to GPLHost yum packaging team <yumpackage@gplhost.com>. (Sun, 14 Jun 2009 04:30:02 GMT) Full text and rfc822 format available.

Message #15 received at 510659@bugs.debian.org (full text, mbox):

From: Thomas Goirand <thomas@goirand.fr>
To: Simon McVittie <smcv@debian.org>, 510659@bugs.debian.org
Subject: Closing #510659
Date: Sun, 14 Jun 2009 12:27:14 +0800
Hi,

As this bugs seems to concern yum-updatesd, and that I have desactivated
the daemon in Debian by default (as this is a RPM distribution
specific), I am closing this bug. If you still believe that this is
needed, please reopen.

Thomas




Tags added: wontfix Request was from Thomas Goirand <thomas@goirand.fr> to control@bugs.debian.org. (Sun, 14 Jun 2009 04:30:03 GMT) Full text and rfc822 format available.

Tags added: unreproducible Request was from Thomas Goirand <thomas@goirand.fr> to control@bugs.debian.org. (Sun, 14 Jun 2009 04:30:04 GMT) Full text and rfc822 format available.

Bug closed, send any further explanations to Simon McVittie <smcv@debian.org> Request was from Thomas Goirand <thomas@goirand.fr> to control@bugs.debian.org. (Sun, 14 Jun 2009 04:30:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 12 Jul 2009 07:30:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:55:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.